Name:        calprint
Summary:     Calendar printer
Version:     1
Release:     21
Group:       Office
Vendor:      Heinrich Wolf
Packager:    Heinrich Wolf
License:     (C) Copyright Heinrich Wolf 1980-2020 All rights reserved.
Source:      %{name}.tar.gz
BuildRoot:   /home/heiner/rpmbuild/BUILDROOT/%{name}-%{version}

%description
Just enter the year and print calendars with holidays

%prep

%setup 

%build

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/bin/
install -d -m 755 ${RPM_BUILD_ROOT}/usr/share/applications
install -d -m 755 ${RPM_BUILD_ROOT}/usr/share/pixmaps
strip calprint
install -m 755 calprint         ${RPM_BUILD_ROOT}/usr/bin
install -m 644 calprint.desktop ${RPM_BUILD_ROOT}/usr/share/applications
install -m 644 calprint.png     ${RPM_BUILD_ROOT}/usr/share/pixmaps

desktop-file-install --dir=${RPM_BUILD_ROOT}/usr/share/applications \
                     --add-category=GNOME \
                     --add-category=GTK \
                     --add-category=Office \
                     calprint.desktop

%clean
rm -rf /home/heiner/rpmbuild/BUILDROOT/%{name}-%{version}

%files
%attr(755, root, root) /usr/bin/calprint
%attr(644, root, root) /usr/share/applications/calprint.desktop
%attr(644, root, root) /usr/share/pixmaps/calprint.png

%pre

%post
xdg-desktop-menu install /usr/share/applications/calprint.desktop --novendor
xdg-user-dirs-update

%preun
xdg-desktop-menu uninstall /usr/share/applications/calprint.desktop --novendor
xdg-user-dirs-update

%postun

