unit lizenz;

{$ifdef fpc}
  {$mode objfpc}{$H+}
{$endif}

interface

uses
  {$ifdef fpc}
    LCLIntf,
    LCLType,
  {$endif}
  {$ifdef Unix}
    WolfUtil,
  {$else}
    Windows,
  {$endif}
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Common,
  Zusatz;

type
  TLizenzForm         = class(TForm)
    LabelHint         : TLabel;
    EditLizenznehmer  : TEdit;
    LabelLizenznehmer : TLabel;
    LabelLizenzCode   : TLabel;
    MemoLizenzcode    : TMemo;
    BtnOk             : TButton;
    procedure           FormCreate(Sender: TObject);
  end;

var
  LizenzForm : TLizenzForm;

implementation

{$R *.dfm}

procedure TLizenzForm.FormCreate(Sender: TObject);
  begin
    case SysLocale.PriLangID of
      LANG_GERMAN:
    else
      Caption                   := 'License';
      LabelHint.Caption         := 'After you requested and received a license, '
                                 + 'please enter the data here.';
      LabelLizenznehmer.Caption := 'licensed to';
      LabelLizenzCode.Caption   := 'license code';
    end;
  end;

end.
