unit YesNo;

{$ifdef fpc}
  {$mode objfpc}{$H+}
{$endif}

interface

uses
  {$ifdef Unix}
    WolfUtil,
  {$else}
    Windows,
  {$endif}
  {$ifdef fpc}
    LResources,
  {$endif}
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Zusatz,
  Common,
  ExtCtrls;

type
  TYesNoForm  = class(TForm)
    Datei     : TLabel;
    BtnYes    : TButton;
    BtnNo     : TButton;
    BtnNoAll  : TButton;
    BtnYesAll : TButton;
    Image     : TImage;
    procedure   FormCreate(Sender: TObject);
    procedure   FormClose(Sender: TObject; var CloseAction: TCloseAction);
  end;

var
  YesNoForm: TYesNoForm;

implementation

{$R *.dfm}

procedure TYesNoForm.FormCreate(Sender: TObject);
  begin
    LoadFormFromIni(Self);
    case SysLocale.PriLangID of
      LANG_GERMAN: ;
    else
      Caption           := 'override file?';
      BtnYes.Caption    := '&Yes';
      BtnNo.Caption     := '&No';
      BtnYesAll.Caption := 'Yes to &all';
      BtnNoAll.Caption  := 'No to a&ll';
    end;
  end;

procedure TYesNoForm.FormClose(Sender: TObject; var CloseAction: TCloseAction);
  begin
    if CloseAction = caFree then;
    SaveFormToIni(Self);
  end;

end.
